
Foreman - Bug #12345

trying to create a sparc host causes error saying method 'medium' is missing from Nic::Managed

object

10/29/2015 05:11 AM - Phirince Philip

Status: Closed   

Priority: Normal   

Assignee: Phirince Philip   

Category: Host creation   

Target version: 1.10.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2876

  

Description

This is because a Nic::Managed object is being passed to jumpstart_params() function instead of a Host::Managed object.

I'll be submitting a PR.

-PP

Associated revisions

Revision bd71155f - 11/05/2015 10:30 AM - Phirince Philip

fixes #12345 - fix sparc host creation

Revision 8a73c259 - 01/19/2016 08:10 AM - Phirince Philip

fixes #12345 - fix sparc host creation

(cherry picked from commit bd71155f219876878d5195721e453835fa4e5143)

History

#1 - 10/29/2015 05:33 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2876 added

- Pull request deleted ()

#2 - 11/05/2015 09:36 AM - Dominic Cleal

- translation missing: en.field_release set to 104

#3 - 11/05/2015 11:01 AM - Phirince Philip

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset bd71155f219876878d5195721e453835fa4e5143.
